Server Trust Groups - Create Or Update

サーバー信頼グループを作成または更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/locations/{locationName}/serverTrustGroups/{serverTrustGroupName}?api-version=2025-01-01

URI パラメーター

名前 / 必須 型 説明
locationName
path True

string

リソースが配置されているリージョンの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverTrustGroupName
path True

string

サーバー信頼グループの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 型 説明
properties.groupMembers True

ServerInfo[]

サーバー信頼グループのグループ メンバー情報。

properties.trustScopes True

ServerTrustGroupPropertiesTrustScopesItem[]

サーバー信頼グループの信頼スコープ。

応答

名前 型 説明
200 OK

ServerTrustGroup

リソース「ServerTrustGroup」の更新操作が成功しました

201 Created

ServerTrustGroup

リソース「ServerTrustGroup」作成操作は成功しました

ヘッダー

  • Location: string
  • Retry-After: integer
202 Accepted

リソース操作が受け入れられます。

ヘッダー

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

Create server trust group

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan East/serverTrustGroups/server-trust-group-test?api-version=2025-01-01

{
  "properties": {
    "groupMembers": [
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-1"
      },
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-2"
      }
    ],
    "trustScopes": [
      "GlobalTransactions",
      "ServiceBroker"
    ]
  }
}

応答のサンプル

{
  "name": "server-trust-group-test",
  "type": "Microsoft.Sql/locations/serverTrustGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan East/serverTrustGroups/server-trust-group-test",
  "properties": {
    "groupMembers": [
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-1"
      },
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-2"
      }
    ],
    "trustScopes": [
      "GlobalTransactions",
      "ServiceBroker"
    ]
  }
}
{
  "name": "server-trust-group-test",
  "type": "Microsoft.Sql/locations/serverTrustGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan East/serverTrustGroups/server-trust-group-test",
  "properties": {
    "groupMembers": [
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-1"
      },
      {
        "serverId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/managedInstance-2"
      }
    ],
    "trustScopes": [
      "GlobalTransactions",
      "ServiceBroker"
    ]
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

ServerInfo

サーバー信頼グループのサーバー情報。

ServerTrustGroup

サーバー信頼グループ。

ServerTrustGroupPropertiesTrustScopesItem
systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

値 説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 型 説明
error

ErrorDetail

エラー オブジェクト。

ServerInfo

サーバー信頼グループのサーバー情報。

名前 型 説明
serverId

string

サーバー ID。

ServerTrustGroup

サーバー信頼グループ。

名前 型 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.groupMembers

ServerInfo[]

サーバー信頼グループのグループ メンバー情報。

properties.trustScopes

ServerTrustGroupPropertiesTrustScopesItem[]

サーバー信頼グループの信頼スコープ。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

ServerTrustGroupPropertiesTrustScopesItem

値 説明
GlobalTransactions

グローバルトランザクションズ

ServiceBroker

サービスブローカー

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 型 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。